## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Let’s try to build this as early as we can, since it’s a dependency for
# python-userpath.
%bcond_with bootstrap
%if %{without bootstrap}
%bcond_without tests
%else
%bcond_with tests
%endif

Name:           python-hatch-vcs
Version:        0.2.0
Release:        %autorelease
Summary:        Hatch plugin for versioning with your preferred VCS

License:        MIT
URL:            https://github.com/ofek/hatch-vcs
Source0:        %{pypi_source hatch_vcs}

BuildArch:      noarch

# Fix test compatibility with setuptools_scm 7
# https://github.com/ofek/hatch-vcs/pull/9
#
# Fixes:
#
# Compatibility with setuptools_scm 7
# https://github.com/ofek/hatch-vcs/issues/8
Patch:          %{url}/pull/9.patch

BuildRequires:  python3-devel
# RHBZ#1985340, RHBZ#2076994
BuildRequires:  pyproject-rpm-macros >= 1.2.0

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  git-core
%endif

%global common_description %{expand:
This provides a plugin for Hatch that uses your preferred version control
system (like Git) to determine project versions.}

%description %{common_description}


%package -n python3-hatch-vcs
Summary:        %{summary}

%description -n python3-hatch-vcs %{common_description}


%prep
%autosetup -n hatch_vcs-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files hatch_vcs


%check
%if %{with tests}
%pytest
%else
%pyproject_check_import
%endif


%files -n python3-hatch-vcs -f %{pyproject_files}
%license LICENSE.txt
%doc HISTORY.md
%doc README.md


%changelog
* Sun Sep 11 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.2.0-9
- Use hatchling’s new “prepare_metadata_…” hook support for BR’s

* Thu Jul 21 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.2.0-8
- Updated setuptools_scm 7 patch again

* Thu Jul 07 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.2.0-7
- Fix extra newline in description

* Thu Jun 30 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.2.0-6
- Updated setuptools_scm 7 patch

* Thu Jun 30 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.2.0-5
- Fix test compatibility with setuptools_scm 7

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> 0.2.0-4
- Rebuilt for Python 3.11

* Fri May 06 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.2.0-3
- Use wheel-building support to generate BR’s

* Sun May 01 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.2.0-2
- Adjust for pyproject-rpm-macros >= 1.1.0

* Fri Apr 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.2.0-1
- Initial package (close RHBZ#2077832)
